extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "pack:domino_fox_layer1",
    "layer2": "pack:domino_fox_layer2",
    "gun": "fiskheroes:deadpool_xmen_gun"
});

var utils = implement("fiskheroes:external/utils");


function init(renderer) {
    parent.init(renderer);
}
function initEffects(renderer) {

   chest = renderer.createEffect("fiskheroes:chest");
    chest.setExtrude(0.75).setYOffset(1);


    utils.addLivery(renderer, "DESERT_EAGLE", "gun");


    renderer.bindProperty("fiskheroes:equipped_item").setItems([
        { "anchor": "rightLeg", "scale": 0.7, "offset": [-2.4, 0.5, 1.25], "rotation": [90.0, 0.0, 0.0] },
        { "anchor": "leftLeg", "scale": 0.7, "offset": [2.4, 0.5, 1.25], "rotation": [90.0, 0.0, 0.0] }
    ]).slotIndex = 0;
}

function render(entity, renderLayer, isFirstPersonArm) {
    if (!isFirstPersonArm && renderLayer == "CHESTPLATE") {
		 chest.render();
    }
}
